Skip to navigation

Create Attachment

Uploads a file to a work order. The file can be an image, PDF, or other document types. The maximum file size is 5MB.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

workOrderIdstringRequiredformat: "uuid"
The id of the work order

Request

This endpoint expects a multipart form containing a file.
filefileRequired
idempotencyIdstringRequired
typeenumRequired
Type of attachment
Allowed values:
createdByIdstringRequiredformat: "uuid"
The ID of the user who created the attachment
namestringOptional
The name of the file, if not provided, the name will be taken from the file.

Response

The created attachment
namestring
urlstring

Storage reference for the file. It is not fetchable. Request a short-lived link from GET /workOrders/{workOrderId}/attachments/{attachmentId}/downloadUrl.

typeenum
Allowed values:
createdAtdatetime
updatedAtdatetime
workOrderIdstringformat: "uuid"
propertyIdstringformat: "uuid"
organizationIdstringformat: "uuid"
notesstringOptional
idstringOptionalformat: "uuid"
readableIdstringOptional
idempotencyIdstringOptionalformat: "uuid"
deletedAtdatetimeOptional
householdIdstringOptionalformat: "uuid"
customerIdstringOptionalformat: "uuid"
householdobjectOptional
customerobjectOptional
workOrderobjectOptional
propertyobjectOptional
organizationobjectOptional